### Class

# Phosh PluginLoader

since: 0.21.0

#### Description [src]

    final class Phosh.PluginLoader : GObject.Object
    {
      /* No available fields */
    }

Loads plugins for a given extension point.

Available since: 0.21.0

#### Ancestors

- GObject

#### Constructors

###### phosh_plugin_loader_new

No description available.

#### Instance methods

###### phosh_plugin_loader_get_extension_point

No description available.

###### phosh_plugin_loader_get_plugin_dirs

No description available.

###### phosh_plugin_loader_load_plugin

Load the given plugin.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Phosh.PluginLoader:extension-point

The name of the extension point to load plugins for.

###### Phosh.PluginLoader:plugin-dirs

The directory to search for plugins.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct PhoshPluginLoaderClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.